package com.yeejoin.amos.maintenance.business.service.intfc;

import com.yeejoin.amos.maintenance.business.param.SynInputItemParam;
import com.yeejoin.amos.maintenance.business.util.CommonResponse;
import com.yeejoin.amos.maintenance.business.util.Toke;
import com.yeejoin.amos.maintenance.business.param.SynPlanParam;
import com.yeejoin.amos.maintenance.business.param.SynPointParam;
import com.yeejoin.amos.maintenance.business.param.SynRouteParam;

public interface ISynDataService {

    CommonResponse saveInputItem(SynInputItemParam synInputItemParam, String userId, String orgCode);

    CommonResponse updateInputItem(SynInputItemParam synInputItemParam);

    CommonResponse deleteInputItem(SynInputItemParam synInputItemParam);

    CommonResponse saveSinglePoint(SynPointParam synPointParam, String userId, String orgCode);

    CommonResponse updateSinglePoint(SynPointParam synPointParam);

    CommonResponse deleteSinglePoint(SynPointParam synPointParam);

    CommonResponse synPointItemRelation(SynPointParam synPointParam, Boolean isSave, String userId);

    CommonResponse saveRoute(SynRouteParam synRouteParam, String userId, String orgCode);

    CommonResponse updateRoute(SynRouteParam synRouteParam, String userId, String orgCode);

    CommonResponse savePlan(SynPlanParam synPlanParam, String userId, String orgCode, Toke toke);

    CommonResponse updatePlan(SynPlanParam synPlanParam, String userId, String orgCode);

    CommonResponse stopPlan(String originalId);

    CommonResponse getPlanFinishTimes(String originalIds);

}
